%global modulename ajv

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-ajv
Version:        6.5.5
Release:        1%{?dist}
Summary:        Another JSON Schema Validator

License:        MIT
URL:            https://github.com/epoberezkin/ajv
Source0:        https://registry.npmjs.org/ajv/-/ajv-6.5.5.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(fast-deep-equal) >= 2.0.1 with npmlib(fast-deep-equal) < 3.0.0))
BuildRequires:  ((npmlib(fast-json-stable-stringify) >= 2.0.0 with npmlib(fast-json-stable-stringify) < 3.0.0))
BuildRequires:  ((npmlib(json-schema-traverse) >= 0.4.1 with npmlib(json-schema-traverse) < 0.5.0))
BuildRequires:  ((npmlib(uri-js) >= 4.2.2 with npmlib(uri-js) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Another JSON Schema Validator

%package 6.5.5
Summary:        Another JSON Schema Validator


%description 6.5.5
Another JSON Schema Validator

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .tonic_example.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr dist %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr scripts %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 6.5.5
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 6.5.5-1
- Package automatically generated by npm2srpm
